import { PathOrURLStr } from 'polar-shared/src/util/Strings';
import { StreamRangeFactory } from "polar-shared/src/util/Streams";
import { IParsedDocMeta } from "polar-shared/src/util/IParsedDocMeta";
import { IDimensions } from 'polar-shared/src/util/IDimensions';
import { PageNumber } from "polar-shared/src/metadata/IPageMeta";
export declare namespace PDFMetadata {
    interface IPDFPageInfo {
        readonly num: PageNumber;
        readonly dimensions: IDimensions;
    }
    type PDFPageInfoIndex = {
        [pageNum: number]: IPDFPageInfo;
    };
    interface IPDFParsedDocMeta extends IParsedDocMeta {
        readonly pageInfoIndex: Readonly<PDFPageInfoIndex>;
    }
    function isPDF(streamRangeFactory: StreamRangeFactory): Promise<boolean>;
    function getMetadata(docPathOrURL: PathOrURLStr): Promise<IPDFParsedDocMeta>;
}
